local Reverse = string.find(GAMESTATE:GetPlayerState(pn):GetPlayerOptionsString("ModsLevel_Preferred"), "Reverse");
local t = Def.ActorFrame{
	-- light
	Def.Sprite {
		Texture="tap light1";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:diffusealpha(0):addrotationz(180)
			else
				self:diffusealpha(0)
			end
		end,
		PressCommand=NOTESKIN:GetMetricA('ReceptorPressLight', 'PressCommand');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorPressLight', 'LiftCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	Def.Sprite {
		Texture=NOTESKIN:GetPath( '_circle', 'receptor base' );
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:stoptweening():addrotationz(180)
			else
				self:stoptweening()
			end
		end,
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
		PressCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	Def.Sprite {
		Texture="button2";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:addy(57):diffusealpha(1):addrotationz(180)
			else
				self:addy(-57):diffusealpha(1)
			end
		end,
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};
	Def.Sprite {
		Texture="button1";
		Frame0000=0;
		Delay0000=1;
		InitCommand=function(self)
			if Reverse then
				self:addy(57):diffusealpha(1):addrotationz(180)
			else
				self:addy(-57):diffusealpha(1)
			end
		end,
		PressCommand=NOTESKIN:GetMetricA('ReceptorButton', 'PressCommand');
		LiftCommand=NOTESKIN:GetMetricA('ReceptorButton', 'LiftCommand');
		NoneCommand=NOTESKIN:GetMetricA('ReceptorArrow', 'NoneCommand');
	};


};

return t;